PROGRAM_NAME='EIB Doku Demo_NX'
(*{{PS_SOURCE_INFO(PROGRAM STATS)                          *)
(***********************************************************)
(*  FILE CREATED ON: 07/02/2002 AT: 15:33:50               *)
(***********************************************************)
(*  FILE_LAST_MODIFIED_ON: 07/15/2002 AT: 16:32:35         *)
(***********************************************************)
(*  ORPHAN_FILE_PLATFORM: 1                                *)
(***********************************************************)
(*!!FILE REVISION:                                         *)
(*  REVISION DATE: 07/02/2002                              *)
(*                                                         *)
(*  COMMENTS:                                              *)
(*                                                         *)
(***********************************************************)
(*}}PS_SOURCE_INFO                                         *)
(***********************************************************)

(***********************************************************)
(* System Type : Netlinx                                   *)
(***********************************************************)
(* REV HISTORY:                                            *)
(***********************************************************)


DEFINE_DEVICE

dvEIB   =   5001:1:0
vdvEIB  =   33003:1:0

dvTP    =   128:1:0


DEFINE_CONSTANT

  Sw_Licht1    = 1          // laufende Switch-Nummer Deckenlicht 
  Sw_Licht2    = 2          // laufende Switch-Nummer Pultlicht 
  Sw_Licht3    = 3          // laufende Switch-Nummer Pultlicht 
  Sw_Dimmer    = 4          // Dimmer Ein/Aus 

  D4_Dimmer    = 1          // relativ Dimmen 

  B1_Dim_Set   = 1          // Dimmer setzen 



DEFINE_VARIABLE


  INTEGER nEIB_SWITCH[255]   // Aktuelle Werte der EIB-Switches
  INTEGER nEIB_Dim4[255]     // Aktuelle Werte Dim4
  INTEGER nEIB_1BYTE[255]    // Aktuelle Werte 1Byte
  INTEGER nEIB_2BYTE[255][2] // Aktuelle Werte 1Byte 
  INTEGER nEIB_3BYTE[255][3] // Aktuelle Werte 1Byte
  INTEGER nEIB_4BYTE[255][4] // Aktuelle Werte 1Byte


DEFINE_START

DEFINE_MODULE 'CTEIB4_NXmod' GATEWAY_1 (vdvEIB,dvEIB,
                                   nEIB_SWITCH,nEIB_DIM4, nEIB_1BYTE,
                                   nEIB_2BYTE, nEIB_3BYTE,nEIB_4BYTE)

include 'EIB_Table_NX.AXI'



DEFINE_EVENT

BUTTON_EVENT[dvTP,1]                  // Licht 1 EIN
  {
  PUSH :                 
    { 
    SYSTEM_CALL 'EIB4_NX Set Switch' (vdvEIB,1,Sw_Licht1)
    }
  }
BUTTON_EVENT[dvTP,2]                  // Licht 1 AUS
  {
  PUSH :           
    { 
    SYSTEM_CALL 'EIB4_NX Set Switch' (vdvEIB,0,Sw_Licht1)
    }
  }


BUTTON_EVENT[dvTP,3]                  // Licht 3 umschalten
  {
  PUSH :
    {  
    SYSTEM_CALL 'EIB4_NX Set Switch' (vdvEIB,NOT[vdvEIB,Sw_Licht2],Sw_Licht2)
    }
  }


BUTTON_EVENT[dvTP,4]                  // Licht 4 10sec EIN
  {
  PUSH :
    {
    CANCEL_WAIT 'LICHT3'
    SYSTEM_CALL 'EIB4_NX Set Switch' (vdvEIB,1,Sw_Licht3)
    WAIT 100 'Licht3'
      SYSTEM_CALL 'EIB4_NX Set Switch' (vdvEIB,0,Sw_Licht3)    
    }
  }

BUTTON_EVENT[dvTP,5]                  // Dimmer AUS 
  {
  PUSH :
    {
    SYSTEM_CALL 'EIB4_NX Set Switch' (vdvEIB,0,Sw_Dimmer)
    }
  }
BUTTON_EVENT[dvTP,6]                  // Dimmer auf 25%
  {
  PUSH :
    {
    SYSTEM_CALL 'EIB4_NX Set 1Byte' (vdvEIB,64,B1_Dim_Set)
    }
  }
BUTTON_EVENT[dvTP,7]                  // Dimmer auf 50%
  {
  PUSH :
    {
    SYSTEM_CALL 'EIB4_NX Set 1Byte' (vdvEIB,128,B1_Dim_Set)
    }
  }
BUTTON_EVENT[dvTP,8]                  // Dimmer auf 75%
  {
  PUSH :
    {
    SYSTEM_CALL 'EIB4_NX Set 1Byte' (vdvEIB,192,B1_Dim_Set)
    }
  }
BUTTON_EVENT[dvTP,9]                  // Dimmer auf 100%
  {
  PUSH :
    {
    SYSTEM_CALL 'EIB4_NX Set Switch' (vdvEIB,1,Sw_Dimmer)
    }
  }

BUTTON_EVENT[dvTP,10]                 // heller
BUTTON_EVENT[dvTP,11]                 // dunkler
  {
  PUSH :
    {
    IF (BUTTON.INPUT.CHANNEL = 10)
      {
      SYSTEM_CALL 'EIB4_NX Set Dim4' (vdvEIB,10,D4_Dimmer)
      }
    ELSE
      {
      SYSTEM_CALL 'EIB4_NX Set Dim4' (vdvEIB,2,D4_Dimmer)
      }
    }
  RELEASE :                         // stopp
    {
    SYSTEM_CALL 'EIB4_NX Set Dim4' (vdvEIB,0,D4_Dimmer)
    }
  }



DEFINE_PROGRAM

[dvTP,1] = nEIB_SWITCH[Sw_Licht1]       // Rueckmeldung Licht 1 EIN
[dvTP,2] = NOT(nEIB_SWITCH[Sw_Licht1])  // Rueckmeldung Licht 1 AUS
[dvTP,3] = nEIB_SWITCH[Sw_Licht2]       // Rueckmeldung LICHT 2 EIN
[dvTP,4] = nEIB_SWITCH[Sw_Licht3]       // Rueckmeldung LICHT 3 EIN

[dvTP,10] = ((nEIB_Dim4[D4_Dimmer] >= 9) and (nEIB_Dim4[D4_Dimmer] <= 15))
[dvTP,11] = ((nEIB_Dim4[D4_Dimmer] >= 1) and (nEIB_Dim4[D4_Dimmer] <= 7))


